Vector BLF: Vector::BLF::LinMessage2 Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::LinMessage2 Struct Referencefinal

LIN_MESSAGE2. More...

`#include <LinMessage2.h>`

Inheritance diagram for Vector::BLF::LinMessage2:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinMessageDescriptor
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinSynchFieldEvent
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
| LinBusEvent (const LinBusEvent &)=default
LinBusEvent & | operator= (const LinBusEvent &)=default
| LinBusEvent (LinBusEvent &&)=default
LinBusEvent & | operator= (LinBusEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
std::array< uint8_t, 8 > | data {}
| data bytes
uint16_t | crc {}
| checksum byte
uint8_t | dir {}
| direction
uint8_t | simulated {}
| simulated frame
uint8_t | isEtf {}
| Event-triggered frame.
uint8_t | etfAssocIndex {}
| Unconditional frame associated with ETF - serial index.
uint8_t | etfAssocEtfId {}
| Unconditional frame associated with ETF - id of ETF.
uint8_t | fsmId {}
uint8_t | fsmState {}
uint8_t | reservedLinMessage1 {}
uint16_t | reservedLinMessage2 {}
uint32_t | respBaudrate {}
| Response baudrate of the event in bit/sec.
double | exactHeaderBaudrate {}
| Exact baudrate of the header in bit/sec.
uint32_t | earlyStopbitOffset {}
| Early stop bit offset for UART timestamps in ns.
uint32_t | earlyStopbitOffsetResponse {}
| Early stop bit offset in frame response for UART timestamps in ns.
uint8_t | apiMajor {3}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type
Public Attributes inherited from Vector::BLF::LinDatabyteTimestampEvent
std::array< uint64_t, 9 > | databyteTimestamps {}
| Databyte timestamps, where d[0] = EndOfHeader, d[1]=EndOfDataByte1, ..., d[8]=EndOfDataByte8.
Public Attributes inherited from Vector::BLF::LinMessageDescriptor
uint16_t | supplierId {}
| LIN Sub-Identifier - Supplier ID.
uint16_t | messageId {}
| LIN Sub-Identifier - Message ID (16 bits)
uint8_t | nad {}
| LIN Sub-Identifier - NAD.
uint8_t | id {}
| LIN ID.
uint8_t | dlc {}
| LIN DLC.
uint8_t | checksumModel {}
| LIN checksum model.
Public Attributes inherited from Vector::BLF::LinSynchFieldEvent
uint64_t | synchBreakLength {}
| Sync Break Length in ns.
uint64_t | synchDelLength {}
| Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t | sof {}
| Start Of Frame timestamp.
uint32_t | eventBaudrate {}
| Baudrate of the event in bit/sec.
uint16_t | channel {}
| application channel
uint16_t | reservedLinBusEvent {}

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_MESSAGE2.

LIN frame received or transmitted on a LIN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinMessage2::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::LinDatabyteTimestampEvent.

## ◆ read()

void Vector::BLF::LinMessage2::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::LinDatabyteTimestampEvent.

## ◆ write()

void Vector::BLF::LinMessage2::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::LinDatabyteTimestampEvent.

## Member Data Documentation

## ◆ apiMajor

uint8_t Vector::BLF::LinMessage2::apiMajor {3}

API major number (see FileStatistics)

This is used to determine which member variables are valid.

## ◆ crc

uint16_t Vector::BLF::LinMessage2::crc {}

checksum byte

Checksum byte value

## ◆ data

std::array<uint8_t, 8> Vector::BLF::LinMessage2::data {}

data bytes

Databyte values

## ◆ dir

uint8_t Vector::BLF::LinMessage2::dir {}

direction

Direction of bus events

- 0: Rx (received)
- 1: Tx (transmit receipt)
- 2: Tx Request (transmit request)

## ◆ earlyStopbitOffset

uint32_t Vector::BLF::LinMessage2::earlyStopbitOffset {}

Early stop bit offset for UART timestamps in ns.

Early stop bit offset in frame header for UART timestamps [in ns]

## ◆ earlyStopbitOffsetResponse

uint32_t Vector::BLF::LinMessage2::earlyStopbitOffsetResponse {}

Early stop bit offset in frame response for UART timestamps in ns.

Early stop bit offset in frame response for UART timestamps [in ns]

## ◆ etfAssocEtfId

uint8_t Vector::BLF::LinMessage2::etfAssocEtfId {}

Unconditional frame associated with ETF - id of ETF.

Event-Triggered frame only: Frame identifier (6-bit) of associated frame, which data is carried

## ◆ etfAssocIndex

uint8_t Vector::BLF::LinMessage2::etfAssocIndex {}

Unconditional frame associated with ETF - serial index.

Event-Triggered frame only: Index of associated frame, which data is carried

## ◆ exactHeaderBaudrate

double Vector::BLF::LinMessage2::exactHeaderBaudrate {}

Exact baudrate of the header in bit/sec.

Event’s baudrate measured in header [in bits/sec]

## ◆ fsmId

uint8_t Vector::BLF::LinMessage2::fsmId {}

Slave Identifier in the Final State Machine (obsolete)

## ◆ fsmState

uint8_t Vector::BLF::LinMessage2::fsmState {}

State Identifier of a Slave in the Final State Machine (obsolete)

## ◆ isEtf

uint8_t Vector::BLF::LinMessage2::isEtf {}

Event-triggered frame.

Flag indicating whether this frame is Event-Triggered one:

- 0: not ETF
- 1: ETF

## ◆ reservedLinMessage1

uint8_t Vector::BLF::LinMessage2::reservedLinMessage1 {}

reserved

## ◆ reservedLinMessage2

uint16_t Vector::BLF::LinMessage2::reservedLinMessage2 {}

reserved

## ◆ respBaudrate

uint32_t Vector::BLF::LinMessage2::respBaudrate {}

Response baudrate of the event in bit/sec.

Event's baudrate measured in response [in bits/sec]

## ◆ simulated

uint8_t Vector::BLF::LinMessage2::simulated {}

simulated frame

Flag indicating whether this frame a simulated one:

- 0: real frame
- 1: simulated frame

The documentation for this struct was generated from the following files:

- LinMessage2.h
- LinMessage2.cpp